﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PSO2SERVER.Models
{
    public class BlockInfo
    {
        public uint unk1 {  get; set; }
        public byte unk2 { get; set; }
        public byte unk3 { get; set; }
        public byte unk4 { get; set; }
        public byte unk5 { get; set; }
        public uint unk6 { get; set; }
        public uint unk7 { get; set; }
        public ushort unk8 { get; set; }
        public ushort block_id { get; set; }
        public string block_name { get; set; }// 0x20
        public Ipv4Addr ip {  get; set; } = new Ipv4Addr(new byte[] { 127, 0, 0, 1 });
        public ushort port { get; set; }
        public ushort unk10 { get; set; }
        public ushort unk11 { get; set; }
        public ushort[] unk12 { get; set; } = new ushort[3];
        public float cur_capacity { get; set; } /// Block fullness (between 0 and 1).


    }
}
